> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getarbol.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List agent documents

> Get all knowledge base documents assigned to a specific agent.



## OpenAPI

````yaml GET /agents/{agentId}/documents
openapi: 3.0.3
info:
  title: Arbol API
  description: >-
    The Arbol API enables you to programmatically manage voice AI agents,
    contacts, conversations, campaigns, and more. Build powerful voice AI
    integrations with a developer-first REST API.
  version: 1.0.0
  contact:
    name: Arbol Support
    url: https://getarbol.com/support
  license:
    name: Proprietary
servers:
  - url: https://api.getarbol.com/v1
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Agents
    description: Manage voice AI agents
  - name: Contacts
    description: Manage contacts and their details
  - name: Conversations
    description: Manage voice conversations and calls
  - name: Campaigns
    description: Manage batch outbound call campaigns
  - name: Phone Numbers
    description: Manage provisioned phone numbers
  - name: Properties
    description: Manage custom property definitions
  - name: Tools
    description: Manage agent tools and integrations
  - name: Documents
    description: Manage knowledge base documents
  - name: Organization
    description: Manage organization settings
paths:
  /agents/{agentId}/documents:
    get:
      tags:
        - Agents
      summary: List agent documents
      description: Get all knowledge base documents assigned to a specific agent.
      operationId: getAgentDocuments
      parameters:
        - $ref: '#/components/parameters/AgentIdParam'
      responses:
        '200':
          description: Agent documents
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/AgentDocument'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    AgentIdParam:
      name: agentId
      in: path
      required: true
      schema:
        type: string
      description: Agent ID (agt_ prefix)
  schemas:
    AgentDocument:
      type: object
      properties:
        id:
          type: string
        documentId:
          type: string
        isEnabled:
          type: boolean
        document:
          $ref: '#/components/schemas/Document'
    Document:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        summary:
          type: string
          nullable: true
        fileName:
          type: string
          nullable: true
        mimeType:
          type: string
          nullable: true
        fileSize:
          type: integer
          nullable: true
        sourceUrl:
          type: string
          nullable: true
        isEnabled:
          type: boolean
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            details:
              type: object
        requestId:
          type: string
  responses:
    Unauthorized:
      description: Authentication required
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Use your API key from the Arbol dashboard. Go to Settings > API Keys to
        generate one.

````